<div class="wrapper wrapper-content animated fadeInRight">
    <uib-tabset active="1">
        <uib-tab  heading="General info"  index="0">
            <div class="ibox-content">
              <form name="shopForm" novalidate ng-submit="vm.update(shopForm.$valid, vm.shop)">
                  <div class="row clearfix">
                    <div class="col-sm-12 col-md-8">
                      <div class="row">
                        <div class="form-group col-sm-4">
                          <div ngf-drop
                               ngf-select
                               ng-model="image"
                               class="img-drop-box"
                               name="image"
                               ratio="'1'"
                               ngf-drag-over-class="'dragover'"
                               ngf-model-invalid="errorFile"
                               ngf-multiple="false"
                               ngf-allow-dir="false"
                               accept="image/*"
                               ngf-pattern="'image/*'">

                            <span ng-if="!image">Shop image</span>

                            <div class="img-preview" ng-if="image || vm.shop.image"
                                 ngf-src="image || vm.shop.image"
                                 ngf-background="image || vm.shop.image"
                                 ngf-resize="{width: 150, height: 150, quality: 0.9}"
                                 ngf-no-object-url="false"></div>
                          </div>

                          <span ng-if="inProgress">Uploading in progress...</span>

                          <ng-messages for="shopForm.image.$error" role="alert">
                            <ng-message ng-if="submitted" when="required">Image is required!</ng-message>
                            <ng-message ng-if="submitted" when="minSize">Image size must be greater than 10 kb</ng-message>
                            <ng-message ng-if="submitted" when="maxSize">Image size must be less than 2 Mb</ng-message>
                            <ng-message ng-if="submitted" when="pattern">Incorrect file type. Only images accepted!</ng-message>
                            <ng-message ng-if="submitted" when="ratio">Incorrect aspect ratio.</ng-message>
                            <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                          </ng-messages>
                        </div>

                        <div class="form-group col-sm-8">

                          <div class="form-group">
                            <label>Shop name</label>
                            <input type="text" name="name" class="form-control"
                                   placeholder="Enter shop name"
                                   ng-model="vm.shop.name"
                                   required>
                            <ng-messages for="shopForm.name.$error" role="alert">
                              <ng-messages-include ng-if="submitted" src="error-messages">...
                              </ng-messages-include>
                            </ng-messages>
                          </div>

                          <div class="form-group">
                            <label>Owner name</label>
                            <input type="text" name="owner" class="form-control"
                                   placeholder="Enter shop owner name"
                                   ng-model="vm.shop.owner"
                                   required>
                            <ng-messages for="shopForm.owner.$error" role="alert">
                              <ng-messages-include ng-if="submitted" src="error-messages">...
                              </ng-messages-include>
                            </ng-messages>
                          </div>

                          <div class="form-group">
                            <input type="checkbox" class="pcursor" id="isLocalShop" ng-model="vm.shop.isLocal" ng-disabled="checkPermission['ONLY_OWN_SHOP']">
                            <label for="isLocalShop" class="pcursor">Local shop</label>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="form-group col-sm-12 col-md-6">
                          <label>Select Shop Administrator</label>
                          <ui-select
                            theme="bootstrap"
                            ng-model="vm.shopOwner.selected"
                            close-on-select="true"
                            name="shopOwner"
                            ng-disabled="!checkPermission['ASSIGN_SHOP'] || currentAdmin.role == 'SAVVY_SHOP'"
                            title="Choose a person"
                            ng-required="true">
                            <ui-select-match placeholder="Select Shop admin">{{$select.selected.type}}
                              &lt;{{$select.selected.email}}&gt;</ui-select-match>
                            <ui-select-choices
                              repeat="person in vm.shopAdmins.SAVVY_SHOP | filter: {role: '!ENTERPRISE_SAVVY_SHOP'}"
                              minimum-input-length="2"
                              refresh="vm.readFree('SAVVY_SHOP', $select.search)"
                              refresh-delay="50">
                                <span>
                                  {{person.type}} | &lt;
                                  <span ng-bind-html="person.email | highlight: $select.search"></span>
                                  &gt; 
                                </span>
                            </ui-select-choices>
                          </ui-select>
                          <ng-messages for="shopForm.shopOwner.$error" role="alert">
                            <ng-messages-include ng-if="submitted" src="error-messages">...
                            </ng-messages-include>
                          </ng-messages>
                        </div>

                        <div class="form-group col-sm-12 col-md-6" ng-hide="currentAdmin.role == 'SAVVY_SHOP' && !vm.enterShopOwners.length">
                          <label>Select administrators</label>
                          <ui-select multiple
                                     theme="bootstrap"
                                     sortable="true"
                                     ng-model="vm.enterShopOwners"
                                     close-on-select="false"
                                     style="min-height: 34px;"
                                     ng-disabled="!checkPermission['ASSIGN_SHOP']"
                                     title="Choose a person">
                            <ui-select-match placeholder="Select enterprise admins">{{$item.type}} &lt;{{$item.email}}&gt;</ui-select-match>
                            <ui-select-choices
                              repeat="person in vm.shopAdmins.ENTERPRISE_SAVVY_SHOP | filter: {role: 'ENTERPRISE_SAVVY_SHOP'}"
                              minimum-input-length="2"
                              refresh="vm.readAdmins('ENTERPRISE_SAVVY_SHOP', $select.search)"
                              refresh-delay="50">
                                  <span>
                                    {{person.type}} | &lt;
                                    <span ng-bind-html="person.email | highlight: $select.search"></span>
                                    &gt;
                                  </span>
                            </ui-select-choices>
                          </ui-select>
                        </div>

                      </div>
                    </div>

                    <div class="form-group col-sm-12 col-md-4">
                      <label>Postal Code</label>
                      <input type="text" name="postCode" class="form-control"
                             placeholder="Enter Post Code"
                             ng-pattern="/\d{4}/"
                             minlength="4"
                             maxlength="4"
                             ng-model="vm.shop.postCode" required>
                      <ng-messages for="shopForm.postCode.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...
                        </ng-messages-include>
                        <div ng-message="pattern">Post code contains 4 digits only</div>
                      </ng-messages>
                    </div>

                    <div class="form-group col-sm-12 col-md-4 map">
                      <ui-gmap-google-map

                        center='vm.map.center'
                        zoom='vm.map.zoom'
                        options='vm.map.options'
                        control='vm.map.control'
                        dragging='vm.map.dragging'
                        refresh='vm.map.refresh'
                        events='vm.map.events'
                        bounds='vm.map.bounds'
                        pan='true'>

                        <ui-gmap-marker
                          idKey='vm.map.marker.idKey'
                          coords='vm.map.marker.coords'
                          click='vm.map.marker.click'
                          options='vm.map.marker.options'
                          events='vm.map.marker.events'
                          control='vm.map.marker.control'></ui-gmap-marker>

                      </ui-gmap-google-map>
                    </div>

                  </div>

                  <div class="clearfix">
                    <div class="row">

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>ABN (Australian business number)</label>
                        <input type="text" name="abn" class="form-control" placeholder="Enter ABN"
                               ng-pattern="/\d{11}/"
                               minlength="11" maxlength="11"
                               ng-model="vm.shop.abn" required>
                        <ng-messages for="shopForm.abn.$error" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                          <div ng-message="pattern">ABN contains 11 digits only</div>
                        </ng-messages>
                      </div>

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>ACN (Australian company number)</label>
                        <input type="text" name="acn" class="form-control" placeholder="Enter ACN"
                               ng-pattern="/\d{9}/"
                               minlength="9" maxlength="9"
                               ng-model="vm.shop.acn" required>
                        <ng-messages for="shopForm.acn.$error" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                          <div ng-message="pattern">ACN contains 9 digits only</div>
                        </ng-messages>
                      </div>

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>Address</label>
                        <input class="form-control"
                               type="search"
                               maxlength="100"
                               ng-model="vm.map.address"
                               ng-keypress="onKeyPress($event)"
                               google-place
                               search-data="searchData"/>

                        <input type="hidden" name="address" class="form-control" placeholder="Enter Address"
                               ng-model="vm.shop.address" required>
                        <ng-messages for="shopForm.address.$error" class="col-xs-12" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                        </ng-messages>
                      </div>

                    </div>
                    <div class="row">

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>Contact Person</label>
                        <input type="text" name="contactName" class="form-control"
                               placeholder="Enter Contact Person"
                               ng-model="vm.shop.contactName" required>
                        <ng-messages for="shopForm.contactName.$error" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                        </ng-messages>
                      </div>

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>Contact Phone</label>
                        <input type="text" name="contactPhone" class="form-control"
                               placeholder="Enter Contact Phone"
                               ng-model="vm.shop.contactPhone" required>
                        <ng-messages for="shopForm.contactPhone.$error" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                        </ng-messages>
                      </div>

                      <div class="form-group col-xs-12 col-sm-4">
                        <label>Contact Email</label>
                        <input type="email" name="contactEmail" class="form-control"
                               placeholder="Enter Contact Email"
                               ng-model="vm.shop.contactEmail" required>
                        <ng-messages for="shopForm.contactEmail.$error" role="alert">
                          <ng-messages-include ng-if="submitted" src="error-messages">...
                          </ng-messages-include>
                        </ng-messages>
                      </div>
                    </div>
                  </div>
                  <hr />
                  <div class="row clearfix text-center">
                      <button ng-disabled="inProgress" class="btn btn-primary" type="submit">Save</button>
                      <button ng-disabled="inProgress" class="btn btn-warning" type="button" ng-click="cancel()">Canсel</button>
                  </div>
                </form>
            </div>
        </uib-tab>

        <uib-tab heading="Items" index="1">
            <div class="ibox-content">
              <div class="row clearfix" ng-if="checkPermission['BLOCK_PERMISSIONS_TO_SHOP']">

                <div class="col-xs-12 col-md-6 form-group">
                  <div class="col-xs-12 col-lg-6 form-group">
                    <input type="checkbox" ng-model="vm.shop.hasSales" id="blockSales"
                        ng-change="vm.changeShopPermission(0, vm.shop.hasSales)" >
                    <label for="blockSales"class="pcursor" ><b>Sales</b></label>
                  </div>
                  <div ng-if="!vm.shop.hasSales" class="col-xs-6">
                    <div class="col-xs-12 form-group">
                      <a class="btn btn-sm btn-danger" ng-click="vm.openBlockingOpenModal('ADD_BLOCKING_SALES_MESSAGE')">
                        <i class="fa fa-plus"></i> Add comment
                      </a>
                    </div>
                    <div class="col-xs-12 form-group">
                      <a class="btn btn-sm btn-success" ng-if="vm.blockingHistoryCommentsCount['SALE_BLOCKING'] > 0"
                         ng-click="vm.openBlockingOpenModal('SEE_BLOCKING_SALES_HISTORY')" >
                        <i class="fa fa-list"></i> See blocking history
                      </a>
                    </div>
                  </div>
                </div>

                <div class="col-xs-12 col-md-6 form-group">
                  <div class="col-xs-12 col-lg-6 form-group">
                    <input type="checkbox" ng-model="vm.shop.hasAdvertising" id="blockRecommendations"
                           ng-change="vm.changeShopPermission(1, vm.shop.hasAdvertising)"  >
                    <label for="blockRecommendations" class="pcursor"><b>Recommendation</b></label>
                  </div>
                  <div ng-if="!vm.shop.hasAdvertising" class="col-xs-6">
                    <div class="col-xs-12 form-group">
                      <a class="btn btn-sm btn-danger" ng-click="vm.openBlockingOpenModal('ADD_BLOCKING_ADVERTISING_MESSAGE')" >
                        <i class="fa fa-plus"></i> Add comment
                      </a>
                    </div>
                    <div class="col-xs-12 form-group">
                      <a class="btn btn-sm btn-success" ng-if="vm.blockingHistoryCommentsCount['ADVERTISING_BLOCKING'] > 0"
                         ng-click="vm.openBlockingOpenModal('SEE_BLOCKING_ADVERISING_HISTORY')" >
                        <i class="fa fa-list"></i> See blocking history
                      </a>
                    </div>
                  </div>
                </div>
              </div>
               <div class="row clearfix" ng-if="currentAdmin.role == 'SAVVY_SHOP' ?  vm.enterShopOwners.length : checkPermission['BULK_UPLOAD']">
                <hr />
                 <div class="col-xs-12 col-md-6 col-lg-4 form-group">
                   <div ng-model="vm.file"  ng-disabled="uploadSubmitted"
                        ngf-select="vm.upload(vm.file, 'itemsToShop')"
                        ngf-pattern="'.xls,.csv,.xlsx'" accept=".xls,.csv,.xlsx" >
                        <a class="btn btn-sm btn-info">
                          <i class="fa fa-upload"></i> Associate multiple items to your store
                        </a>
                   </div>
                   <label>
                     <a href="{{ vm.templates['ITEMS_TO_SHOP'] }}"
                        download="itemsToShop.example.xlsx">example.xlsx</a>
                   </label>
                 </div>

                 <div class="col-xs-12 col-md-6 col-lg-4 form-group">
                    <div ng-model="vm.file" ng-disabled="uploadSubmitted"
                          ngf-pattern="'.xls,.csv,.xlsx'" accept=".xls,.csv,.xlsx" 
                          ngf-select="vm.upload(vm.file,'sales')"
                          ngf-select-disabled="currentAdmin.role == 'SAVVY_SHOP' && !vm.shop.hasSales">
                       <a class="btn btn-sm btn-info" ng-click="vm.uploadPermissionHandler('SALES')">
                         <i class="fa fa-upload"></i>
                         Set up multiple <b class="text-danger"> sales </b> for your items
                       </a>
                    </div>
                    <label>
                      <a href="{{ vm.templates['SALES'] }}" 
                         download="sales.example.xlsx">example.xlsx</a>
                    </label>
                 </div>

                 <div class="col-xs-12 col-md-6 col-lg-4 form-group">
                   <div ng-model="vm.file" ng-disabled="uploadSubmitted"
                        ngf-select="vm.upload(vm.file,'advertising')"
                        ngf-pattern="'.xls,.csv,.xlsx'" accept=".xls,.csv,.xlsx" 
                        ngf-select-disabled="currentAdmin.role == 'SAVVY_SHOP' && !vm.shop.hasAdvertising" >
                     <a class="btn btn-sm btn-info" ng-click="vm.uploadPermissionHandler('ADVERTISING')">
                       <i class="fa fa-upload"></i>
                       Set targeted  <b class="text-danger">recommends</b> for your shop
                     </a>
                   </div>
                   <label>
                     <a href="{{ vm.templates['ADVERTISING'] }}" 
                        download="recommendations.example.xlsx">example.xlsx</a>
                   </label>
                 </div>
               </div>
              <hr />
              <div class="row clearfix text-center" >
                  <div class="col-xs-12 col-sm-4">
                    <a class="btn btn-sm btn-warning ng-scope"  
                        ng-if="vm.report && !uploadSubmitted" 
                        ng-href="{{ vm.report }} ">
                      <i class="fa fa-download"></i> Load last report
                    </a>
                  </div>
                  <div class="col-xs-12 col-sm-4">
                    <a class="btn btn-sm btn-success ng-scope" 
                       ui-sref="home.reports(vm.reportRedirect)">
                        <i class="fa fa-th-list"></i> 
                        View bulk upload history
                    </a>
                  </div>
                <div class="col-xs-12 col-sm-12 col-lg-3">
                  <a ng-click="vm.bulkInfo()" ng-if="(currentAdmin.role == 'SAVVY_SHOP' ?  vm.enterShopOwners.length : checkPermission['BULK_UPLOAD'])">
                    <h4 class="pcursor">
                      <i class="fa fa-info"></i> 
                      <label><u>Click here for help</u></label>
                    </h4>
                  </a>
                </div>  
              </div>

              <div class="row clearfix text-center">
                <h2 style="margin-top: 22px">Manage items for your store</h2>           
              </div>  

              <div class="clearfix">
                 <hr/>   
                 <div class="col-xs-12 col-sm-6 form-group">
                      <a ui-sref="home.shops.itemCreate({ shopId: vm.shop.id })"
                        class="btn btn-sm btn-info pull-left">
                          <i class="fa fa-plus"></i> 
                          Create new shop item
                      </a>
                  </div> 
                  <div class="col-xs-12 col-sm-6">
                      <ui-select ng-model="vm.items_meta.limit" style="padding: 0px !important;"
                          class="col-sm-6 col-xs-12 col-sm-offset-6 col-xs-offset-0"
                          theme="bootstrap" on-select="vm.readItems({ page: 1 })">
                        <ui-select-match>display {{$select.selected}} items per page</ui-select-match>
                        <ui-select-choices repeat="limit in vm.limits">
                          display {{::limit}} items per page
                        </ui-select-choices>
                      </ui-select>
                  </div>
              </div>

              <div class="clearfix" style="padding-top: 10px">
                 <div class="col-lg-6 col-sm-12" style="padding-top: 22px">
                    <input type="text" class="form-control" 
                          ng-model="vm.items_meta.query"
                          ng-change="vm.readItems({ page: 1 })"
                          placeholder="Search for an shop item" />
                 </div>
                 <div class="col-lg-2 col-sm-4 col-xs-12 text-center" style="padding-top: 22px;">
                    <input type="checkbox" id="timeLine" 
                           ng-model="vm.items_meta.timeLine" 
                           ng-click="vm.readItems({page: 1})"
                           class="pcursor" />
                    <label for="timeLine" class="pcursor"> Enable Timeline</label>      
                  </div>
                  <div class="col-lg-2 col-sm-4 col-xs-12">    
                      <label class="col-sm-12 col-xs-3">From</label>
                      <p class="input-group">
                          <input type="text" class="form-control" name="from" ng-model="vm.items_meta.from"
                                uib-datepicker-popup="{{vm.configModals.format}}"
                                datepicker-options="vm.configModals.fromOptions"
                                alt-input-formats="vm.configModals.altInputFormats"
                                is-open="vm.configModals.opened[1]"
                                readonly="true" 
                                ng-change="vm.readItems({ page: 1})"  
                                ng-change="vm.setDateRangeByFrom(vm.items_meta.from)"
                                required/>
                          <span class="input-group-btn">
                              <button type="button" class="btn btn-primary"
                                 ng-disabled="!vm.items_meta.timeLine"
                                 ng-click="vm.configModals.open(1)">
                                  <i class="glyphicon glyphicon-calendar"></i>
                              </button>
                          </span>
                      </p>
                  </div>

                  <div class="col-lg-2 col-sm-4 col-xs-12">
                      <label class="col-sm-12 col-xs-3">To</label>
                      <p class="input-group">
                          <input type="text" class="form-control" name="to" 
                            ng-model="vm.items_meta.to"
                                uib-datepicker-popup="{{vm.configModals.format}}"
                                datepicker-options="vm.configModals.toOptions"
                                alt-input-formats="vm.configModals.altInputFormats"
                                is-open="vm.configModals.opened[2]"
                                ng-change="vm.readItems({ page: 1})"
                                readonly="true" 
                                required/>
                          <span class="input-group-btn" >
                              <button type="button" class="btn btn-primary" 
                                  ng-disabled="!vm.items_meta.timeLine" 
                                  ng-click="vm.configModals.open(2)">
                                  <i class="glyphicon glyphicon-calendar"></i>
                              </button>
                          </span>
                      </p>
                  </div>      
              </div>
              <hr />

              <div class="clearfix text-center">
                <div id="grid1" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}"
                     class="grid height-transition"></div>
                <uib-pagination ng-if="vm.items_meta.totalCount > vm.items_meta.limit" max-size="10"
                    total-items="vm.items_meta.totalCount" items-per-page="vm.items_meta.limit"
                    ng-model="vm.items_meta.page" ng-change="vm.readItems()"></uib-pagination>
              </div>

            </div>
        </uib-tab>
    </uib-tabset>
</div>

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="maxlength">This field is too long!</div>
    <div ng-message="email">Invalid email!</div>
</script>
